List PCI devices
GET
/system/pci-devices
const url = 'https://sylve.lan:8181/api/system/pci-devices';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/system/pci-devices \ --header 'Authorization: <Authorization>'List PCI devices detected on the selected system
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
bus
integer
class
integer
device
integer
domain
integer
function
integer
hdr
integer
name
string
names
object
class
string
device
string
subclass
string
vendor
string
rev
integer
subDevice
integer
subVendor
integer
unit
integer
vendor
integer
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "bus": 1, "class": 1, "device": 1, "domain": 1, "function": 1, "hdr": 1, "name": "example", "names": { "class": "example", "device": "example", "subclass": "example", "vendor": "example" }, "rev": 1, "subDevice": 1, "subVendor": 1, "unit": 1, "vendor": 1 } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}